### Enumeration

# EBookContacts BookQueryTest

#### Declaration

    enum EBookContacts.BookQueryTest

#### Description [src]

The kind of test a query created by `e_book_query_field_test()` shall perform.

See also: e_phone_number_compare_strings().

#### Members

`E_BOOK_QUERY_IS`

  Look for exact match of the supplied test value.

  - Value: `0`
  - Available since: 1.2
`E_BOOK_QUERY_CONTAINS`

  Check if a field contains the test value.

  - Value: `1`
  - Available since: 1.2
`E_BOOK_QUERY_BEGINS_WITH`

  Check if a field starts with the test value.

  - Value: `2`
  - Available since: 1.2
`E_BOOK_QUERY_ENDS_WITH`

  Check if a field ends with the test value.

  - Value: `3`
  - Available since: 1.2
`E_BOOK_QUERY_EQUALS_PHONE_NUMBER`

  Check if a field matches with a value tested using e_phone_number_compare_strings(), the match must be of strenth `E_PHONE_NUMBER_MATCH_EXACT` for this query to return any matches.

  - Value: `4`
  - Available since: 1.2
`E_BOOK_QUERY_EQUALS_NATIONAL_PHONE_NUMBER`

  Check if a field matches with a value tested using e_phone_number_compare_strings(), the match must be at least of strength `E_PHONE_NUMBER_MATCH_NATIONAL` for this query to return any matches.

  - Value: `5`
  - Available since: 1.2
`E_BOOK_QUERY_EQUALS_SHORT_PHONE_NUMBER`

  Check if a field matches with a value tested using e_phone_number_compare_strings(), the match must be at least of strength `E_PHONE_NUMBER_MATCH_SHORT` for this query to return any matches.

  - Value: `6`
  - Available since: 1.2
`E_BOOK_QUERY_REGEX_NORMAL`

  A regular expression query against contact data normalized with e_util_utf8_normalize(), the normalized data is lower case with any accents removed.

  - Value: `7`
  - Available since: 1.2
`E_BOOK_QUERY_REGEX_RAW`

  A regular expression query against raw contact data, this is usually slower than a `E_BOOK_QUERY_REGEX_NORMAL` as it implies that `EVCard`(s) must be parsed in order to get the raw data for comparison.

  - Value: `8`
  - Available since: 1.2
`E_BOOK_QUERY_LAST`

  End marker for the `EBookQueryTest` enumeration, not a valid query test.

  - Value: `9`
  - Available since: 1.2